io-2.4.9 released

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

io-2.4.9 released

PhilipNienhuis
A new release (2.4.9) of the octave-forge io package has just been
uploaded [1]. It's a mere bug fix release that a.o., should allow io to
be also compatible with the current development branch of core Octave.
See the NEWS for the changes [2].

Just after Olaf made the release I pushed a cset for csv2cell()
implementing some changes mentioned here:
   http://lists.gnu.org/archive/html/help-octave/2018-01/msg00026.html
However that part of the code has seen just half an hour of testing so
it had better wait for a future 2.4.10 release anyway. Additional
testing "in the field" is very welcome... [3]

Enjoy,
Philip

[1] https://octave.sourceforge.io/download.php?package=io-2.4.9.tar.gz
[2] https://octave.sourceforge.io/io/NEWS.html

[3] http://hg.code.sf.net/p/octave/io/file/5c728076342d/src/csv2cell.cc
When "mkoctfiling" it separately note that the two OV_ISNUMERIC macros
in L.252-253 should be changed into "is_numeric_type" for Octave-4.2.x
and "isnumeric" for 4.3.0+

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

avlas-2
El dissabte, 6 de gener de 2018, a les 15:47:06 EST, Philip Nienhuis va escriure:

  A new release (2.4.9) of the octave-forge io package has just been
  uploaded [1]. It's a mere bug fix release that a.o., should allow io to
  be also compatible with the current development branch of core Octave.
  See the NEWS for the changes [2].
 
  Just after Olaf made the release I pushed a cset for csv2cell()
  implementing some changes mentioned here:
     http://lists.gnu.org/archive/html/help-octave/2018-01/msg00026.html
  However that part of the code has seen just half an hour of testing so
  it had better wait for a future 2.4.10 release anyway. Additional
  testing "in the field" is very welcome... [3]
 
  Enjoy,
  Philip
 
  [1] https://octave.sourceforge.io/download.php?package=io-2.4.9.tar.gz
  [2] https://octave.sourceforge.io/io/NEWS.html
 
  [3] http://hg.code.sf.net/p/octave/io/file/5c728076342d/src/csv2cell.cc
  When "mkoctfiling" it separately note that the two OV_ISNUMERIC macros
  in L.252-253 should be changed into "is_numeric_type" for Octave-4.2.x
  and "isnumeric" for 4.3.0+
 
I got an error in Octave 4.2.1:
 
pkg update
configure: error: pg_config not found
checking for mkoctfile... /usr/bin/mkoctfile
checking for octave-config... /usr/bin/octave-config
checking for pg_config... no

pkg: error running the configure script for io.
error: called from
    configure_make at line 78 column 9
    install at line 194 column 7
    pkg at line 394 column 9
    pkg at line 552 column 11

...
a.



_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

Marius Schamschula-5

On Jan 9, 2018, at 5:05 AM, avlas <[hidden email]> wrote:

El dissabte, 6 de gener de 2018, a les 15:47:06 EST, Philip Nienhuis va escriure:

 A new release (2.4.9) of the octave-forge io package has just been
 uploaded [1]. It's a mere bug fix release that a.o., should allow io to
 be also compatible with the current development branch of core Octave.
 See the NEWS for the changes [2].

 Just after Olaf made the release I pushed a cset for csv2cell()
 implementing some changes mentioned here:
    http://lists.gnu.org/archive/html/help-octave/2018-01/msg00026.html
 However that part of the code has seen just half an hour of testing so
 it had better wait for a future 2.4.10 release anyway. Additional
 testing "in the field" is very welcome... [3]

 Enjoy,
 Philip

 [1] https://octave.sourceforge.io/download.php?package=io-2.4.9.tar.gz
 [2] https://octave.sourceforge.io/io/NEWS.html

 [3] http://hg.code.sf.net/p/octave/io/file/5c728076342d/src/csv2cell.cc
 When "mkoctfiling" it separately note that the two OV_ISNUMERIC macros
 in L.252-253 should be changed into "is_numeric_type" for Octave-4.2.x
 and "isnumeric" for 4.3.0+

I got an error in Octave 4.2.1:

pkg update
configure: error: pg_config not found
checking for mkoctfile... /usr/bin/mkoctfile
checking for octave-config... /usr/bin/octave-config
checking for pg_config... no

pkg: error running the configure script for io.
error: called from
   configure_make at line 78 column 9
   install at line 194 column 7
   pkg at line 394 column 9
   pkg at line 552 column 11

...
a.


It seems that io now requires a version of postgresql to be installed. I have updated the MacPorts package accordingly.

Marius
--
Marius Schamschula





_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

avlas-2

El dimarts, 9 de gener de 2018, a les 6:54:34 EST, Marius Schamschula va escriure:

 
  > On Jan 9, 2018, at 5:05 AM, avlas <[hidden email]> wrote:
  >
  > El dissabte, 6 de gener de 2018, a les 15:47:06 EST, Philip Nienhuis va escriure:
  >
  >  A new release (2.4.9) of the octave-forge io package has just been
  >  uploaded [1]. It's a mere bug fix release that a.o., should allow io to
  >  be also compatible with the current development branch of core Octave.
  >  See the NEWS for the changes [2].
  >
  >  Just after Olaf made the release I pushed a cset for csv2cell()
  >  implementing some changes mentioned here:
  >     http://lists.gnu.org/archive/html/help-octave/2018-01/msg00026.html
  >  However that part of the code has seen just half an hour of testing so
  >  it had better wait for a future 2.4.10 release anyway. Additional
  >  testing "in the field" is very welcome... [3]
  >
  >  Enjoy,
  >  Philip
  >
  >  [1] https://octave.sourceforge.io/download.php?package=io-2.4.9.tar.gz
  >  [2] https://octave.sourceforge.io/io/NEWS.html
  >
  >  [3] http://hg.code.sf.net/p/octave/io/file/5c728076342d/src/csv2cell.cc
  >  When "mkoctfiling" it separately note that the two OV_ISNUMERIC macros
  >  in L.252-253 should be changed into "is_numeric_type" for Octave-4.2.x
  >  and "isnumeric" for 4.3.0+
  >
  > I got an error in Octave 4.2.1:
  >
  > pkg update
  > configure: error: pg_config not found
  > checking for mkoctfile... /usr/bin/mkoctfile
  > checking for octave-config... /usr/bin/octave-config
  > checking for pg_config... no
  >
  > pkg: error running the configure script for io.
  > error: called from
  >    configure_make at line 78 column 9
  >    install at line 194 column 7
  >    pkg at line 394 column 9
  >    pkg at line 552 column 11
  >
  > ...
  > a.
  >
 
  It seems that io now requires a version of postgresql to be installed. I have updated the MacPorts package accordingly.
 
  Marius
  --
  Marius Schamschula
 
What about Linux? I use an Ubuntu derivative and there are many postgresql packages, wondering which one I should install to be able to update io
 
..
a.



_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

Marius Schamschula-5


On Jan 9, 2018, at 7:56 AM, avlas <[hidden email]> wrote:


El dimarts, 9 de gener de 2018, a les 6:54:34 EST, Marius Schamschula va escriure:


On Jan 9, 2018, at 5:05 AM, avlas <[hidden email]> wrote:

El dissabte, 6 de gener de 2018, a les 15:47:06 EST, Philip Nienhuis va escriure:

A new release (2.4.9) of the octave-forge io package has just been
uploaded [1]. It's a mere bug fix release that a.o., should allow io to
be also compatible with the current development branch of core Octave.
See the NEWS for the changes [2].

Just after Olaf made the release I pushed a cset for csv2cell()
implementing some changes mentioned here:
   http://lists.gnu.org/archive/html/help-octave/2018-01/msg00026.html
However that part of the code has seen just half an hour of testing so
it had better wait for a future 2.4.10 release anyway. Additional
testing "in the field" is very welcome... [3]

Enjoy,
Philip

[1] https://octave.sourceforge.io/download.php?package=io-2.4.9.tar.gz
[2] https://octave.sourceforge.io/io/NEWS.html

[3] http://hg.code.sf.net/p/octave/io/file/5c728076342d/src/csv2cell.cc
When "mkoctfiling" it separately note that the two OV_ISNUMERIC macros
in L.252-253 should be changed into "is_numeric_type" for Octave-4.2.x
and "isnumeric" for 4.3.0+

I got an error in Octave 4.2.1:

pkg update
configure: error: pg_config not found
checking for mkoctfile... /usr/bin/mkoctfile
checking for octave-config... /usr/bin/octave-config
checking for pg_config... no

pkg: error running the configure script for io.
error: called from
  configure_make at line 78 column 9
  install at line 194 column 7
  pkg at line 394 column 9
  pkg at line 552 column 11

...
a.


 It seems that io now requires a version of postgresql to be installed. I have updated the MacPorts package accordingly.

 Marius
 --
 Marius Schamschula

What about Linux? I use an Ubuntu derivative and there are many postgresql packages, wondering which one I should install to be able to update io

..
a.


AFIK versions of postgresql provide pg_config. Choose a current version, e.g. 9.6 or 10.1.

Marius
--
Marius Schamschula




_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

PhilipNienhuis
Marius Schamschula-5 wrote
>> On Jan 9, 2018, at 7:56 AM, avlas &lt;

> sardid@

> &gt; wrote:
> <snip>
>  
>>  It seems that io now requires a version of postgresql to be installed. I
>> have updated the MacPorts package accordingly.
>>
>>  Marius
>>  --
>>  Marius Schamschula
>>
>> What about Linux? I use an Ubuntu derivative and there are many
>> postgresql packages, wondering which one I should install to be able to
>> update io
>
> AFIK versions of postgresql provide pg_config. Choose a current version,
> e.g. 9.6 or 10.1.

io doesn't need postgres at all, thisis an unfortunate mistake made when the
configure script was added to just avoid minor compile time warnings.

See http://savannah.gnu.org/bugs/?52830

I've put io-2.4.10 on the packages release tracker (that is a request to
release io-2.4.10).
Hopefully the OF admins can do this quickly.
Better forget about io-2.4.9

Sorry for the hassle,

Philip



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: io-2.4.9 released

avlas-2
El dimarts, 9 de gener de 2018, a les 10:11:57 EST, PhilipNienhuis va escriure:

  Marius Schamschula-5 wrote
  >> On Jan 9, 2018, at 7:56 AM, avlas &lt;
 
  > sardid@
 
  > &gt; wrote:
  > <snip>
  >  
  >>  It seems that io now requires a version of postgresql to be installed. I
  >> have updated the MacPorts package accordingly.
  >>
  >>  Marius
  >>  --
  >>  Marius Schamschula
  >>
  >> What about Linux? I use an Ubuntu derivative and there are many
  >> postgresql packages, wondering which one I should install to be able to
  >> update io
  >
  > AFIK versions of postgresql provide pg_config. Choose a current version,
  > e.g. 9.6 or 10.1.
 
  io doesn't need postgres at all, thisis an unfortunate mistake made when the
  configure script was added to just avoid minor compile time warnings.
 
  See http://savannah.gnu.org/bugs/?52830
 
  I've put io-2.4.10 on the packages release tracker (that is a request to
  release io-2.4.10).
  Hopefully the OF admins can do this quickly.
  Better forget about io-2.4.9
 
  Sorry for the hassle,
 
  Philip
 
 
 
  --
  Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html
 
  _______________________________________________
  Help-octave mailing list
  [hidden email]
  https://lists.gnu.org/mailman/listinfo/help-octave
 
Ok, thank you!

...
a.



_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave